import { GamePropsSchema } from "./zodSchemas"
import crypto from "crypto"

export function getPayloadwithChecksum(
  payload: GamePropsSchema["payload"] | null
): GamePropsSchema {
  if (payload === null) return { payload: null, hash: null }
  const objString = JSON.stringify(payload)
  const hash = crypto.createHash("md5").update(objString).digest("hex")
  return { payload, hash }
}
